Moose::Error::Croak(3)

NAME
Moose::Error::Croak - Prefer "croak"

VERSION
version 2.0602

SYNOPSIS
    # Metaclass definition must come before Moose is used.
    use metaclass (
        metaclass => 'Moose::Meta::Class',
        error_class => 'Moose::Error::Croak',
    );
    use Moose;
    # ...

DESCRIPTION
This error class uses "croak" in Carp to raise errors generated in your metaclass.

METHODS

new Overrides "new" in Moose::Error::Default to prefer "croak".

AUTHOR
Moose is maintained by the Moose Cabal, along with the help of many contributors. See "CABAL" in Moose and "CONTRIBUTORS" in Moose for details.

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Infinity Interactive, Inc..

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.